Teams
Returns all the teams of the organization. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/teams HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"created_at": "text",
"updated_at": "text",
"created_by": "text",
"organization_id": "text",
"name": "text",
"description": "text",
"slug": "text",
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"roles": [
{
"id": "text",
"name": "text",
"slug": "text",
"default": true,
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"default": true,
"organization": {
"id": "text",
"name": "text",
"slug": "text"
}
}
]
}Add team to the organization. Returns the team object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/teams HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 58
{
"name": "text",
"description": "text",
"member_ids": [
"text"
]
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"created_by": "text",
"organization_id": "text",
"name": "text",
"description": "text",
"slug": "text",
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"roles": [
{
"id": "text",
"name": "text",
"slug": "text",
"default": true,
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"default": true,
"organization": {
"id": "text",
"name": "text",
"slug": "text"
}
}
}Returns a team details of the given teamID in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/teams/{teamId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"created_by": "text",
"organization_id": "text",
"name": "text",
"description": "text",
"slug": "text",
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"roles": [
{
"id": "text",
"name": "text",
"slug": "text",
"default": true,
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"default": true,
"organization": {
"id": "text",
"name": "text",
"slug": "text"
}
}
}Update organization team details. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/teams/{teamId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"name": "text",
"description": "text",
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
]
}
]
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"created_by": "text",
"organization_id": "text",
"name": "text",
"description": "text",
"slug": "text",
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"roles": [
{
"id": "text",
"name": "text",
"slug": "text",
"default": true,
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"default": true,
"organization": {
"id": "text",
"name": "text",
"slug": "text"
}
}
}Remove team from the organization. Upon success, the team will be removed from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/teams/{teamId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Returns all the team members of the organization. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/teams/{teamId}/members HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
]
}Add team member to the team. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
this field is required if you are using RBAC permission model
this field is required if you are using OBAC permission model
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/teams/{teamId}/members HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"user_id": "text",
"role_ids": [
"text"
],
"role": "text"
}{
"data": {
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
}Add team member to the team. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/teams/{teamId}/members/bulk HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
]
}
]
}{
"data": {
"team_id": "text",
"members": [
{
"user_id": "text",
"role_ids": [
"text"
]
}
]
}
}Remove team member from the team. Upon success, the team member will be removed from the team. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/teams/{teamId}/members/{memberId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Update team member. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
this field is required if you are using RBAC permission model
this field is required if you are using OBAC permission model
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PATCH /v3/teams/{teamId}/members/{memberId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"role_ids": [
"text"
],
"role": "text"
}{
"data": {
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
}Returns all the roles of the teamId mentioned in params. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/teams/{teamId}/roles HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"name": "text",
"slug": "text",
"default": true,
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
]
}Add team's role to the team with given ability if not exists. Returns the role object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/teams/{teamId}/roles HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1747
{
"name": "text",
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"created_by": "text",
"organization_id": "text",
"name": "text",
"description": "text",
"slug": "text",
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"roles": [
{
"id": "text",
"name": "text",
"slug": "text",
"default": true,
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"default": true
}
}Update team's role abilities and name. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/teams/{teamId}/roles/{roleId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1747
{
"name": "text",
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}{
"data": {
"id": "text",
"created_at": "text",
"updated_at": "text",
"created_by": "text",
"organization_id": "text",
"name": "text",
"description": "text",
"slug": "text",
"members": [
{
"user_id": "text",
"role": "text",
"role_ids": [
"text"
],
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"roles": [
{
"id": "text",
"name": "text",
"slug": "text",
"default": true,
"abilities": {
"escalation_policies": {
"create-escalation-policies": true,
"read-escalation-policies": true,
"update-escalation-policies": true,
"delete-escalation-policies": true
},
"schedules": {
"create-schedules": true,
"read-schedules": true,
"update-schedules": true,
"delete-schedules": true
},
"services": {
"create-services": true,
"read-services": true,
"update-services": true,
"delete-services": true
},
"squads": {
"create-squads": true,
"read-squads": true,
"update-squads": true,
"delete-squads": true
},
"stakeholder_groups": {
"create-stakeholder-groups": true,
"read-stakeholder-groups": true,
"update-stakeholder-groups": true,
"delete-stakeholder-groups": true
},
"runbooks": {
"create-runbooks": true,
"read-runbooks": true,
"update-runbooks": true,
"delete-runbooks": true
},
"postmortems": {
"create-postmortems": true,
"read-postmortems": true,
"update-postmortems": true,
"delete-postmortems": true
},
"status_pages": {
"create-status-pages": true,
"read-status-pages": true,
"update-status-pages": true,
"delete-status-pages": true
},
"team_analytics": {
"read-team-analytics": true
},
"slos": {
"create-slos": true,
"read-slos": true,
"update-slos": true,
"delete-slos": true
},
"webforms": {
"create-webforms": true,
"read-webforms": true,
"update-webforms": true,
"delete-webforms": true
},
"workflows": {
"create-workflows": true,
"read-workflows": true,
"update-workflows": true,
"delete-workflows": true
},
"ger": {
"create-ger": true,
"read-ger": true,
"update-ger": true,
"delete-ger": true
},
"routing_numbers": {
"create-routing-numbers": true,
"read-routing-numbers": true,
"update-routing-numbers": true,
"delete-routing-numbers": true
},
"global_oncall_reminder_rules": {
"create-global-oncall-reminder-rules": true,
"read-global-oncall-reminder-rules": true,
"update-global-oncall-reminder-rules": true,
"delete-global-oncall-reminder-rules": true
}
}
}
],
"default": true
}
}Remove team's role from the team. Upon success, the team's role will be removed from the team. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/teams/{teamId}/roles/{roleId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Last updated